Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 14229)
@@ -376,5 +376,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -383,5 +383,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 14229)
@@ -326,5 +326,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -332,5 +332,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 14229)
@@ -326,5 +326,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -332,5 +332,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 14229)
@@ -377,5 +377,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -383,5 +383,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_top key_iomput key_mpp_mpi key_agrif key_qco
+bld::tool::fppkeys   key_si3 key_top key_iomput key_agrif key_qco
Index: /NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg	(revision 14229)
@@ -369,5 +369,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -375,5 +375,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/AMM12/cpp_AMM12.fcm
===================================================================
--- /NEMO/trunk/cfgs/AMM12/cpp_AMM12.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/AMM12/cpp_AMM12.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_diainstant key_mpp_mpi key_iomput key_qco
+ bld::tool::fppkeys   key_diainstant key_iomput key_qco
Index: /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 14229)
@@ -471,5 +471,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -477,5 +477,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm
===================================================================
--- /NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_mpp_mpi key_iomput key_linssh
+ bld::tool::fppkeys   key_c1d key_iomput key_linssh
Index: /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 14229)
@@ -240,5 +240,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/GYRE_BFM/cpp_GYRE_BFM.fcm
===================================================================
--- /NEMO/trunk/cfgs/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 14229)
@@ -1,2 +1,2 @@
-bld::tool::fppkeys   key_top key_my_trc key_mpp_mpi key_iomput key_linssh
+bld::tool::fppkeys   key_top key_my_trc key_iomput key_linssh
 inc $BFMDIR/src/nemo/bfm.fcm
Index: /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 14229)
@@ -229,5 +229,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -236,5 +236,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/GYRE_PISCES/cpp_GYRE_PISCES.fcm
===================================================================
--- /NEMO/trunk/cfgs/GYRE_PISCES/cpp_GYRE_PISCES.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/GYRE_PISCES/cpp_GYRE_PISCES.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_top key_linssh key_mpp_mpi key_iomput
+bld::tool::fppkeys   key_top key_linssh key_iomput
Index: /NEMO/trunk/cfgs/ORCA2_ICE_ABL/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_ABL/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_ABL/EXPREF/namelist_cfg	(revision 14229)
@@ -422,5 +422,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -428,5 +428,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_ICE_ABL/cpp_ORCA2_ICE_ABL.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_ABL/cpp_ORCA2_ICE_ABL.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_ABL/cpp_ORCA2_ICE_ABL.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_mpp_mpi key_si3 key_iomput key_qco
+bld::tool::fppkeys key_si3 key_iomput key_qco
Index: /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 14229)
@@ -433,5 +433,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -439,5 +439,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/cpp_ORCA2_ICE_PISCES.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/cpp_ORCA2_ICE_PISCES.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/cpp_ORCA2_ICE_PISCES.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_top key_iomput key_mpp_mpi key_qco 
+bld::tool::fppkeys   key_si3 key_top key_iomput key_qco 
Index: /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 14229)
@@ -429,5 +429,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -435,5 +435,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_top key_iomput key_mpp_mpi
+bld::tool::fppkeys   key_top key_iomput
Index: /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 14229)
@@ -425,5 +425,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -431,5 +431,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm	(revision 14229)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_top key_iomput key_mpp_mpi
+bld::tool::fppkeys   key_top key_iomput
Index: /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 14229)
@@ -190,5 +190,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -196,5 +196,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_SAS_ICE/cpp_ORCA2_SAS_ICE.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_SAS_ICE/cpp_ORCA2_SAS_ICE.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/ORCA2_SAS_ICE/cpp_ORCA2_SAS_ICE.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_linssh key_iomput key_mpp_mpi
+ bld::tool::fppkeys   key_si3 key_linssh key_iomput
Index: /NEMO/trunk/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14228)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14229)
@@ -1485,5 +1485,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -1491,5 +1491,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
    ln_listonly =  .false.  !  do nothing else than listing the best domain decompositions (with land domains suppression)
Index: /NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 14229)
@@ -390,5 +390,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -396,5 +396,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/SPITZ12/cpp_SPITZ12.fcm
===================================================================
--- /NEMO/trunk/cfgs/SPITZ12/cpp_SPITZ12.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/SPITZ12/cpp_SPITZ12.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_mpp_mpi key_iomput key_si3 key_qco
+ bld::tool::fppkeys key_iomput key_si3 key_qco
Index: /NEMO/trunk/cfgs/WED025/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/WED025/EXPREF/namelist_cfg	(revision 14228)
+++ /NEMO/trunk/cfgs/WED025/EXPREF/namelist_cfg	(revision 14229)
@@ -641,5 +641,5 @@
 !!                  ***  Miscellaneous namelists  ***                 !!
 !!                                                                    !!
-!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   nammpp            Massively Parallel Processing
 !!   namctl            Control prints                                   (default: OFF)
 !!   namsto            Stochastic parametrization of EOS                (default: OFF)
@@ -647,5 +647,5 @@
 !
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/WED025/cpp_WED025.fcm
===================================================================
--- /NEMO/trunk/cfgs/WED025/cpp_WED025.fcm	(revision 14228)
+++ /NEMO/trunk/cfgs/WED025/cpp_WED025.fcm	(revision 14229)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_mpp_mpi key_iomput key_si3 key_nosignedzero
+ bld::tool::fppkeys key_iomput key_si3 key_nosignedzero
Index: /NEMO/trunk/doc/namelists/nammpp
===================================================================
--- /NEMO/trunk/doc/namelists/nammpp	(revision 14228)
+++ /NEMO/trunk/doc/namelists/nammpp	(revision 14229)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+&nammpp        !   Massively Parallel Processing
 !-----------------------------------------------------------------------
    ln_listonly =  .false.  !  do nothing else than listing the best domain decompositions (with land domains suppression)
Index: /NEMO/trunk/src/NST/agrif_user.F90
===================================================================
--- /NEMO/trunk/src/NST/agrif_user.F90	(revision 14228)
+++ /NEMO/trunk/src/NST/agrif_user.F90	(revision 14229)
@@ -889,5 +889,5 @@
 
    
-# if defined key_mpp_mpi
+# if ! defined key_mpi_off
    SUBROUTINE Agrif_InvLoc( indloc, nprocloc, i, indglob )
       !!----------------------------------------------------------------------
Index: /NEMO/trunk/src/OCE/DIA/diaptr.F90
===================================================================
--- /NEMO/trunk/src/OCE/DIA/diaptr.F90	(revision 14228)
+++ /NEMO/trunk/src/OCE/DIA/diaptr.F90	(revision 14229)
@@ -578,5 +578,5 @@
       REAL(wp), DIMENSION(A1Dj(nn_hls),nbasin), INTENT(in)            ::  pva    !
       INTEGER                                               ::  jj
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
       INTEGER, DIMENSION(1)           ::  ish1d
       INTEGER, DIMENSION(2)           ::  ish2d
@@ -588,5 +588,5 @@
       END DO
 
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
       IF( ntile == 0 .OR. ntile == nijtile ) THEN
          ish1d(1) = jpj*nbasin
@@ -614,5 +614,5 @@
       REAL(wp), DIMENSION(A1Dj(nn_hls),jpk,nbasin), INTENT(in)        ::  pva    !
       INTEGER                                               ::  jj, jk
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
       INTEGER, DIMENSION(1)              ::  ish1d
       INTEGER, DIMENSION(3)              ::  ish3d
@@ -626,5 +626,5 @@
       END DO
 
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
       IF( ntile == 0 .OR. ntile == nijtile ) THEN
          ish1d(1) = jpj*jpk*nbasin
Index: /NEMO/trunk/src/OCE/FLO/floblk.F90
===================================================================
--- /NEMO/trunk/src/OCE/FLO/floblk.F90	(revision 14228)
+++ /NEMO/trunk/src/OCE/FLO/floblk.F90	(revision 14229)
@@ -105,5 +105,5 @@
       iloop = 0
 222   DO jfl = 1, jpnfl
-# if   defined key_mpp_mpi
+# if ! defined key_mpi_off
          IF( iil(jfl) >= mig(Nis0) .AND. iil(jfl) <= mig(Nie0) .AND.   &
              ijl(jfl) >= mjg(Njs0) .AND. ijl(jfl) <= mjg(Nje0)   ) THEN
@@ -329,5 +329,5 @@
             ! reinitialisation of the age of FLOAT
             zagefl(jfl) = zagenewfl(jfl)
-# if   defined key_mpp_mpi
+# if ! defined key_mpi_off
          ELSE
             ! we put zgifl, zgjfl, zgkfl, zagefl
Index: /NEMO/trunk/src/OCE/FLO/flodom.F90
===================================================================
--- /NEMO/trunk/src/OCE/FLO/flodom.F90	(revision 14228)
+++ /NEMO/trunk/src/OCE/FLO/flodom.F90	(revision 14229)
@@ -154,5 +154,5 @@
          ivtest(jfl) = 0
          ikmfl(jfl) = 0
-# if   defined key_mpp_mpi
+# if ! defined key_mpi_off
          DO ji = MAX(Nis0,2), Nie0
             DO jj = MAX(Njs0,2), Nje0   ! NO vector opt.
Index: /NEMO/trunk/src/OCE/ICB/icblbc.F90
===================================================================
--- /NEMO/trunk/src/OCE/ICB/icblbc.F90	(revision 14228)
+++ /NEMO/trunk/src/OCE/ICB/icblbc.F90	(revision 14229)
@@ -36,5 +36,5 @@
    PRIVATE
 
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
 
 !$AGRIF_DO_NOT_TREAT
@@ -145,7 +145,7 @@
    END SUBROUTINE icb_lbc_nfld
 
-#if defined key_mpp_mpi
+#if ! defined key_mpi_off
    !!----------------------------------------------------------------------
-   !!   'key_mpp_mpi'             MPI massively parallel processing library
+   !!            MPI massively parallel processing library
    !!----------------------------------------------------------------------
 
Index: /NEMO/trunk/src/OCE/LBC/lbclnk.F90
===================================================================
--- /NEMO/trunk/src/OCE/LBC/lbclnk.F90	(revision 14228)
+++ /NEMO/trunk/src/OCE/LBC/lbclnk.F90	(revision 14229)
@@ -66,5 +66,5 @@
    PUBLIC   lbc_lnk_nc_multi   ! modified ocean/ice lateral boundary conditions (MPI3 version)
 
-#if   defined key_mpp_mpi
+#if ! defined key_mpi_off
 !$AGRIF_DO_NOT_TREAT
    INCLUDE 'mpif.h'
